<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::VertexCollection Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_vertex_collection.html">VertexCollection</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_vertex_collection-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::VertexCollection Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::VertexCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_vertex_collection__inherit__graph.png" border="0" usemap="#eic_1_1_vertex_collection_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_vertex_collection_inherit__map" id="eic_1_1_vertex_collection_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::VertexCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_vertex_collection__coll__graph.png" border="0" usemap="#eic_1_1_vertex_collection_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_vertex_collection_coll__map" id="eic_1_1_vertex_collection_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:aa7476fb9c76b7a247ce4eb783111e9e4"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#aa7476fb9c76b7a247ce4eb783111e9e4">const_iterator</a> = const <a class="el" href="classeic_1_1_vertex_collection_iterator.html">VertexCollectionIterator</a></td></tr>
<tr class="separator:aa7476fb9c76b7a247ce4eb783111e9e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a461c189be287c0d9919499e5ce8da0d4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#a461c189be287c0d9919499e5ce8da0d4">VertexCollection</a> ()</td></tr>
<tr class="separator:a461c189be287c0d9919499e5ce8da0d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ab6e6a5015923d27916bb954055c29c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#a8ab6e6a5015923d27916bb954055c29c">~VertexCollection</a> ()</td></tr>
<tr class="separator:a8ab6e6a5015923d27916bb954055c29c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21c677f36a495f4c5dce88cff25b9579"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#a21c677f36a495f4c5dce88cff25b9579">clear</a> () override final</td></tr>
<tr class="separator:a21c677f36a495f4c5dce88cff25b9579"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa1c9f9fbe7b21807f4a580f5d6cebbe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_vertex_collection.html">VertexCollection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#aaa1c9f9fbe7b21807f4a580f5d6cebbe">operator-&gt;</a> ()</td></tr>
<tr class="memdesc:aaa1c9f9fbe7b21807f4a580f5d6cebbe"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator to allow pointer like calling of members a la LCIO  <a href="#aaa1c9f9fbe7b21807f4a580f5d6cebbe">More...</a><br /></td></tr>
<tr class="separator:aaa1c9f9fbe7b21807f4a580f5d6cebbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af672171f47f7c6f4ca785e2aed291c44"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_vertex.html">Vertex</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#af672171f47f7c6f4ca785e2aed291c44">create</a> ()</td></tr>
<tr class="memdesc:af672171f47f7c6f4ca785e2aed291c44"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append a new object to the collection, and return this object.  <a href="#af672171f47f7c6f4ca785e2aed291c44">More...</a><br /></td></tr>
<tr class="separator:af672171f47f7c6f4ca785e2aed291c44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdcb8cd280aa6f188928683b08fda761"><td class="memTemplParams" colspan="2">template&lt;typename... Args&gt; </td></tr>
<tr class="memitem:acdcb8cd280aa6f188928683b08fda761"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_vertex.html">Vertex</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#acdcb8cd280aa6f188928683b08fda761">create</a> (Args &amp;&amp;... args)</td></tr>
<tr class="separator:acdcb8cd280aa6f188928683b08fda761"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9340124662ad2715191a7a0c7dcf76a5"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#a9340124662ad2715191a7a0c7dcf76a5">size</a> () const override final</td></tr>
<tr class="memdesc:a9340124662ad2715191a7a0c7dcf76a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of elements in the collection  <a href="#a9340124662ad2715191a7a0c7dcf76a5">More...</a><br /></td></tr>
<tr class="separator:a9340124662ad2715191a7a0c7dcf76a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac36518f94a9754e4c96aedd73b9b19aa"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#ac36518f94a9754e4c96aedd73b9b19aa">getValueTypeName</a> () const override</td></tr>
<tr class="memdesc:ac36518f94a9754e4c96aedd73b9b19aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">fully qualified type name of elements - with namespace  <a href="#ac36518f94a9754e4c96aedd73b9b19aa">More...</a><br /></td></tr>
<tr class="separator:ac36518f94a9754e4c96aedd73b9b19aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8ded8667872215e33435896f1cca3ae"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_vertex.html">Vertex</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#ad8ded8667872215e33435896f1cca3ae">operator[]</a> (unsigned int index) const</td></tr>
<tr class="memdesc:ad8ded8667872215e33435896f1cca3ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#ad8ded8667872215e33435896f1cca3ae">More...</a><br /></td></tr>
<tr class="separator:ad8ded8667872215e33435896f1cca3ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb92c0bfcb0e6c85ff59fa06fa212eeb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_vertex.html">Vertex</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#aeb92c0bfcb0e6c85ff59fa06fa212eeb">operator[]</a> (unsigned int index)</td></tr>
<tr class="memdesc:aeb92c0bfcb0e6c85ff59fa06fa212eeb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of a given index.  <a href="#aeb92c0bfcb0e6c85ff59fa06fa212eeb">More...</a><br /></td></tr>
<tr class="separator:aeb92c0bfcb0e6c85ff59fa06fa212eeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae47909b66b76bf284708a3c3ccf0d1f1"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_vertex.html">Vertex</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#ae47909b66b76bf284708a3c3ccf0d1f1">at</a> (unsigned int index) const</td></tr>
<tr class="memdesc:ae47909b66b76bf284708a3c3ccf0d1f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#ae47909b66b76bf284708a3c3ccf0d1f1">More...</a><br /></td></tr>
<tr class="separator:ae47909b66b76bf284708a3c3ccf0d1f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6554b3c122e11a47fa08bc8d1ad9e088"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_vertex.html">Vertex</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#a6554b3c122e11a47fa08bc8d1ad9e088">at</a> (unsigned int index)</td></tr>
<tr class="memdesc:a6554b3c122e11a47fa08bc8d1ad9e088"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of given index.  <a href="#a6554b3c122e11a47fa08bc8d1ad9e088">More...</a><br /></td></tr>
<tr class="separator:a6554b3c122e11a47fa08bc8d1ad9e088"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19364b4d73fc7ea6a52850d6bfc788a6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#a19364b4d73fc7ea6a52850d6bfc788a6">push_back</a> (<a class="el" href="classeic_1_1_const_vertex.html">ConstVertex</a> object)</td></tr>
<tr class="memdesc:a19364b4d73fc7ea6a52850d6bfc788a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append object to the collection.  <a href="#a19364b4d73fc7ea6a52850d6bfc788a6">More...</a><br /></td></tr>
<tr class="separator:a19364b4d73fc7ea6a52850d6bfc788a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fe9a1d70f1bf941cfdccb27e3776806"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#a8fe9a1d70f1bf941cfdccb27e3776806">prepareForWrite</a> () override final</td></tr>
<tr class="separator:a8fe9a1d70f1bf941cfdccb27e3776806"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4971d6e0cedce3af6a35ddfe6dd35249"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#a4971d6e0cedce3af6a35ddfe6dd35249">prepareAfterRead</a> () override final</td></tr>
<tr class="separator:a4971d6e0cedce3af6a35ddfe6dd35249"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe62d919e6ba5e025e6fd2f6dc98f9b7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#abe62d919e6ba5e025e6fd2f6dc98f9b7">setBuffer</a> (void *address) override final</td></tr>
<tr class="separator:abe62d919e6ba5e025e6fd2f6dc98f9b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78cd964548b16fddd6948b777e7c05f7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#a78cd964548b16fddd6948b777e7c05f7">setReferences</a> (const podio::ICollectionProvider *collectionProvider) override final</td></tr>
<tr class="separator:a78cd964548b16fddd6948b777e7c05f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e6ce0ff99b302dc266d6366a276a117"><td class="memItemLeft" align="right" valign="top">podio::CollRefCollection *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#a8e6ce0ff99b302dc266d6366a276a117">referenceCollections</a> () override final</td></tr>
<tr class="separator:a8e6ce0ff99b302dc266d6366a276a117"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6892694dc42ae604806e7ba0b221d5d6"><td class="memItemLeft" align="right" valign="top">podio::VectorMembersInfo *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#a6892694dc42ae604806e7ba0b221d5d6">vectorMembers</a> () override</td></tr>
<tr class="separator:a6892694dc42ae604806e7ba0b221d5d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae61df81d0a5022df1c75c0f9c7ecbb14"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#ae61df81d0a5022df1c75c0f9c7ecbb14">setID</a> (unsigned ID) override final</td></tr>
<tr class="separator:ae61df81d0a5022df1c75c0f9c7ecbb14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6dbc2ec94612db732b31022b43bfd30"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#ad6dbc2ec94612db732b31022b43bfd30">getID</a> () const override final</td></tr>
<tr class="separator:ad6dbc2ec94612db732b31022b43bfd30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80b6b3bb2cbb15c011e3a34c8c3aa5d4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#a80b6b3bb2cbb15c011e3a34c8c3aa5d4">isValid</a> () const override final</td></tr>
<tr class="separator:a80b6b3bb2cbb15c011e3a34c8c3aa5d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98e165e60e2dc8a65a71d12e26a95d3e"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_vertex_collection.html#aa7476fb9c76b7a247ce4eb783111e9e4">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#a98e165e60e2dc8a65a71d12e26a95d3e">begin</a> () const</td></tr>
<tr class="separator:a98e165e60e2dc8a65a71d12e26a95d3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb7178abefdbec6f65a67a5ccbdd2727"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_vertex_collection.html#aa7476fb9c76b7a247ce4eb783111e9e4">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#aeb7178abefdbec6f65a67a5ccbdd2727">end</a> () const</td></tr>
<tr class="separator:aeb7178abefdbec6f65a67a5ccbdd2727"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa57d44daa0662dd7ba369e9450a169a7"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#aa57d44daa0662dd7ba369e9450a169a7">getBufferAddress</a> () override final</td></tr>
<tr class="memdesc:aa57d44daa0662dd7ba369e9450a169a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the address of the pointer to the data buffer  <a href="#aa57d44daa0662dd7ba369e9450a169a7">More...</a><br /></td></tr>
<tr class="separator:aa57d44daa0662dd7ba369e9450a169a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a297cc73064e969f0ceaf186832b2d757"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classeic_1_1_vertex_data.html">VertexData</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#a297cc73064e969f0ceaf186832b2d757">_getBuffer</a> ()</td></tr>
<tr class="memdesc:a297cc73064e969f0ceaf186832b2d757"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the pointer to the data buffer.  <a href="#a297cc73064e969f0ceaf186832b2d757">More...</a><br /></td></tr>
<tr class="separator:a297cc73064e969f0ceaf186832b2d757"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a15fa736a63ec4a8a3c49f6d8a301db"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a7a15fa736a63ec4a8a3c49f6d8a301db"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; int, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#a7a15fa736a63ec4a8a3c49f6d8a301db">primary</a> () const</td></tr>
<tr class="separator:a7a15fa736a63ec4a8a3c49f6d8a301db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa76958d7f18f9a1aa0eac2bc8f156d78"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:aa76958d7f18f9a1aa0eac2bc8f156d78"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#aa76958d7f18f9a1aa0eac2bc8f156d78">chi2</a> () const</td></tr>
<tr class="separator:aa76958d7f18f9a1aa0eac2bc8f156d78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0eaf79c07b9833e04bfd84cce1c19b37"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a0eaf79c07b9833e04bfd84cce1c19b37"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#a0eaf79c07b9833e04bfd84cce1c19b37">probability</a> () const</td></tr>
<tr class="separator:a0eaf79c07b9833e04bfd84cce1c19b37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4c6258907247347f3f17a717db039d8"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:ac4c6258907247347f3f17a717db039d8"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; <a class="el" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a>, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_collection.html#ac4c6258907247347f3f17a717db039d8">position</a> () const</td></tr>
<tr class="separator:ac4c6258907247347f3f17a717db039d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A Collection is identified by an ID. </p>

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8h_source.html#l00050">50</a> of file <a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a>.</p>
</div><h2 class="groupheader">Member Typedef Documentation</h2>
<a id="aa7476fb9c76b7a247ce4eb783111e9e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7476fb9c76b7a247ce4eb783111e9e4">&#9670;&nbsp;</a></span>const_iterator</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classeic_1_1_vertex_collection.html#aa7476fb9c76b7a247ce4eb783111e9e4">eic::VertexCollection::const_iterator</a> =  const <a class="el" href="classeic_1_1_vertex_collection_iterator.html">VertexCollectionIterator</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8h_source.html#l00053">53</a> of file <a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a461c189be287c0d9919499e5ce8da0d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a461c189be287c0d9919499e5ce8da0d4">&#9670;&nbsp;</a></span>VertexCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::VertexCollection::VertexCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8cc_source.html#l00014">14</a> of file <a class="el" href="_vertex_collection_8cc_source.html">VertexCollection.cc</a>.</p>

</div>
</div>
<a id="a8ab6e6a5015923d27916bb954055c29c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ab6e6a5015923d27916bb954055c29c">&#9670;&nbsp;</a></span>~VertexCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::VertexCollection::~VertexCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8cc_source.html#l00021">21</a> of file <a class="el" href="_vertex_collection_8cc_source.html">VertexCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_vertex_collection_8cc_source.html#l00055">clear()</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a297cc73064e969f0ceaf186832b2d757"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a297cc73064e969f0ceaf186832b2d757">&#9670;&nbsp;</a></span>_getBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classeic_1_1_vertex_data.html">VertexData</a>&gt;* eic::VertexCollection::_getBuffer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the pointer to the data buffer. </p>

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8h_source.html#l00128">128</a> of file <a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ae47909b66b76bf284708a3c3ccf0d1f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae47909b66b76bf284708a3c3ccf0d1f1">&#9670;&nbsp;</a></span>at() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_vertex.html">Vertex</a> eic::VertexCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8cc_source.html#l00032">32</a> of file <a class="el" href="_vertex_collection_8cc_source.html">VertexCollection.cc</a>.</p>

</div>
</div>
<a id="a6554b3c122e11a47fa08bc8d1ad9e088"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6554b3c122e11a47fa08bc8d1ad9e088">&#9670;&nbsp;</a></span>at() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_vertex.html">Vertex</a> eic::VertexCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8cc_source.html#l00040">40</a> of file <a class="el" href="_vertex_collection_8cc_source.html">VertexCollection.cc</a>.</p>

</div>
</div>
<a id="a98e165e60e2dc8a65a71d12e26a95d3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98e165e60e2dc8a65a71d12e26a95d3e">&#9670;&nbsp;</a></span>begin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_vertex_collection.html#aa7476fb9c76b7a247ce4eb783111e9e4">const_iterator</a> eic::VertexCollection::begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8h_source.html#l00117">117</a> of file <a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a>.</p>

</div>
</div>
<a id="aa76958d7f18f9a1aa0eac2bc8f156d78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa76958d7f18f9a1aa0eac2bc8f156d78">&#9670;&nbsp;</a></span>chi2()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::VertexCollection::chi2 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8h_source.html#l00175">175</a> of file <a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_vertex_collection_8cc_source.html#l00142">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a21c677f36a495f4c5dce88cff25b9579"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21c677f36a495f4c5dce88cff25b9579">&#9670;&nbsp;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::VertexCollection::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8cc_source.html#l00055">55</a> of file <a class="el" href="_vertex_collection_8cc_source.html">VertexCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_vertex_collection_8cc_source.html#l00021">~VertexCollection()</a>.</p>

</div>
</div>
<a id="af672171f47f7c6f4ca785e2aed291c44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af672171f47f7c6f4ca785e2aed291c44">&#9670;&nbsp;</a></span>create() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_vertex.html">Vertex</a> eic::VertexCollection::create </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append a new object to the collection, and return this object. </p>

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8cc_source.html#l00048">48</a> of file <a class="el" href="_vertex_collection_8cc_source.html">VertexCollection.cc</a>.</p>

</div>
</div>
<a id="acdcb8cd280aa6f188928683b08fda761"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdcb8cd280aa6f188928683b08fda761">&#9670;&nbsp;</a></span>create() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename... Args&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_vertex.html">Vertex</a> eic::VertexCollection::create </td>
          <td>(</td>
          <td class="paramtype">Args &amp;&amp;...&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Append a new object to the collection, and return this object. Initialized with the parameters given </p>

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8h_source.html#l00157">157</a> of file <a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a>.</p>

</div>
</div>
<a id="aeb7178abefdbec6f65a67a5ccbdd2727"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb7178abefdbec6f65a67a5ccbdd2727">&#9670;&nbsp;</a></span>end()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_vertex_collection.html#aa7476fb9c76b7a247ce4eb783111e9e4">const_iterator</a> eic::VertexCollection::end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8h_source.html#l00120">120</a> of file <a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a>.</p>

</div>
</div>
<a id="aa57d44daa0662dd7ba369e9450a169a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa57d44daa0662dd7ba369e9450a169a7">&#9670;&nbsp;</a></span>getBufferAddress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void* eic::VertexCollection::getBufferAddress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns the address of the pointer to the data buffer </p>

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8h_source.html#l00125">125</a> of file <a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a>.</p>

</div>
</div>
<a id="ad6dbc2ec94612db732b31022b43bfd30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6dbc2ec94612db732b31022b43bfd30">&#9670;&nbsp;</a></span>getID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned eic::VertexCollection::getID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8h_source.html#l00108">108</a> of file <a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a>.</p>

</div>
</div>
<a id="ac36518f94a9754e4c96aedd73b9b19aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac36518f94a9754e4c96aedd73b9b19aa">&#9670;&nbsp;</a></span>getValueTypeName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string eic::VertexCollection::getValueTypeName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>fully qualified type name of elements - with namespace </p>

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8h_source.html#l00077">77</a> of file <a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a>.</p>

</div>
</div>
<a id="a80b6b3bb2cbb15c011e3a34c8c3aa5d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80b6b3bb2cbb15c011e3a34c8c3aa5d4">&#9670;&nbsp;</a></span>isValid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::VertexCollection::isValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8h_source.html#l00112">112</a> of file <a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a>.</p>

</div>
</div>
<a id="aaa1c9f9fbe7b21807f4a580f5d6cebbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa1c9f9fbe7b21807f4a580f5d6cebbe">&#9670;&nbsp;</a></span>operator->()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_vertex_collection.html">VertexCollection</a>* eic::VertexCollection::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>operator to allow pointer like calling of members a la LCIO </p>

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8h_source.html#l00063">63</a> of file <a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a>.</p>

</div>
</div>
<a id="ad8ded8667872215e33435896f1cca3ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8ded8667872215e33435896f1cca3ae">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_vertex.html">Vertex</a> eic::VertexCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8cc_source.html#l00028">28</a> of file <a class="el" href="_vertex_collection_8cc_source.html">VertexCollection.cc</a>.</p>

</div>
</div>
<a id="aeb92c0bfcb0e6c85ff59fa06fa212eeb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb92c0bfcb0e6c85ff59fa06fa212eeb">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_vertex.html">Vertex</a> eic::VertexCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of a given index. </p>

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8cc_source.html#l00036">36</a> of file <a class="el" href="_vertex_collection_8cc_source.html">VertexCollection.cc</a>.</p>

</div>
</div>
<a id="ac4c6258907247347f3f17a717db039d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4c6258907247347f3f17a717db039d8">&#9670;&nbsp;</a></span>position()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; <a class="el" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a>, arraysize &gt; eic::VertexCollection::position </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8h_source.html#l00195">195</a> of file <a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_vertex_collection_8cc_source.html#l00142">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a4971d6e0cedce3af6a35ddfe6dd35249"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4971d6e0cedce3af6a35ddfe6dd35249">&#9670;&nbsp;</a></span>prepareAfterRead()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::VertexCollection::prepareAfterRead </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8cc_source.html#l00082">82</a> of file <a class="el" href="_vertex_collection_8cc_source.html">VertexCollection.cc</a>.</p>

</div>
</div>
<a id="a8fe9a1d70f1bf941cfdccb27e3776806"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fe9a1d70f1bf941cfdccb27e3776806">&#9670;&nbsp;</a></span>prepareForWrite()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::VertexCollection::prepareForWrite </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8cc_source.html#l00065">65</a> of file <a class="el" href="_vertex_collection_8cc_source.html">VertexCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_vertex_collection_8cc_source.html#l00044">size()</a>.</p>

</div>
</div>
<a id="a7a15fa736a63ec4a8a3c49f6d8a301db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a15fa736a63ec4a8a3c49f6d8a301db">&#9670;&nbsp;</a></span>primary()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; int, arraysize &gt; eic::VertexCollection::primary </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8h_source.html#l00165">165</a> of file <a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_vertex_collection_8cc_source.html#l00142">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a0eaf79c07b9833e04bfd84cce1c19b37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0eaf79c07b9833e04bfd84cce1c19b37">&#9670;&nbsp;</a></span>probability()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::VertexCollection::probability </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8h_source.html#l00185">185</a> of file <a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_vertex_collection_8cc_source.html#l00142">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a19364b4d73fc7ea6a52850d6bfc788a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19364b4d73fc7ea6a52850d6bfc788a6">&#9670;&nbsp;</a></span>push_back()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::VertexCollection::push_back </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_const_vertex.html">ConstVertex</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append object to the collection. </p>

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8cc_source.html#l00110">110</a> of file <a class="el" href="_vertex_collection_8cc_source.html">VertexCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_vertex_collection_8cc_source.html#l00044">size()</a>.</p>

</div>
</div>
<a id="a8e6ce0ff99b302dc266d6366a276a117"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e6ce0ff99b302dc266d6366a276a117">&#9670;&nbsp;</a></span>referenceCollections()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::CollRefCollection* eic::VertexCollection::referenceCollections </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8h_source.html#l00097">97</a> of file <a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a>.</p>

</div>
</div>
<a id="abe62d919e6ba5e025e6fd2f6dc98f9b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe62d919e6ba5e025e6fd2f6dc98f9b7">&#9670;&nbsp;</a></span>setBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::VertexCollection::setBuffer </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>address</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8cc_source.html#l00122">122</a> of file <a class="el" href="_vertex_collection_8cc_source.html">VertexCollection.cc</a>.</p>

</div>
</div>
<a id="ae61df81d0a5022df1c75c0f9c7ecbb14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae61df81d0a5022df1c75c0f9c7ecbb14">&#9670;&nbsp;</a></span>setID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::VertexCollection::setID </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>ID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8h_source.html#l00101">101</a> of file <a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a>.</p>

</div>
</div>
<a id="a78cd964548b16fddd6948b777e7c05f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78cd964548b16fddd6948b777e7c05f7">&#9670;&nbsp;</a></span>setReferences()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::VertexCollection::setReferences </td>
          <td>(</td>
          <td class="paramtype">const podio::ICollectionProvider *&#160;</td>
          <td class="paramname"><em>collectionProvider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8cc_source.html#l00093">93</a> of file <a class="el" href="_vertex_collection_8cc_source.html">VertexCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_vertex_collection_8cc_source.html#l00044">size()</a>.</p>

</div>
</div>
<a id="a9340124662ad2715191a7a0c7dcf76a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9340124662ad2715191a7a0c7dcf76a5">&#9670;&nbsp;</a></span>size()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t eic::VertexCollection::size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>number of elements in the collection </p>

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8cc_source.html#l00044">44</a> of file <a class="el" href="_vertex_collection_8cc_source.html">VertexCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_vertex_collection_8cc_source.html#l00142">eic::operator&lt;&lt;()</a>, <a class="el" href="_vertex_collection_8cc_source.html#l00065">prepareForWrite()</a>, <a class="el" href="_vertex_collection_8cc_source.html#l00110">push_back()</a>, and <a class="el" href="_vertex_collection_8cc_source.html#l00093">setReferences()</a>.</p>

</div>
</div>
<a id="a6892694dc42ae604806e7ba0b221d5d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6892694dc42ae604806e7ba0b221d5d6">&#9670;&nbsp;</a></span>vectorMembers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::VectorMembersInfo* eic::VertexCollection::vectorMembers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_collection_8h_source.html#l00099">99</a> of file <a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_vertex_collection_8h_source.html">VertexCollection.h</a></li>
<li>src/<a class="el" href="_vertex_collection_8cc_source.html">VertexCollection.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
